Package de.willuhn.jameica.hbci.server

# Class EinnahmeAusgabeTreeNode

java.lang.Object
de.willuhn.jameica.hbci.server.EinnahmeAusgabeTreeNode

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.GenericObjectNode`, `EinnahmeAusgabeZeitraum`, `Remote`

public class EinnahmeAusgabeTreeNode extends Object implements EinnahmeAusgabeZeitraum, de.willuhn.datasource.GenericObjectNode
Container für die EinnahmenAusgaben-Liste eines bestimmten Zeitraums.

## Constructor Summary

Constructors
Constructor
Description
`EinnahmeAusgabeTreeNode(Date from, Date to, List<EinnahmeAusgabe> children)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(de.willuhn.datasource.GenericObject arg0)`
`Object`
`getAttribute(String arg0)`
`String[]`
`getAttributeNames()`
`double`
`getAusgaben()`
Liefert die Ausgaben.
`de.willuhn.datasource.GenericIterator`
`getChildren()`
`double`
`getEinnahmen()`
Liefert die Einnahmen.
`Date`
`getEnddatum()`
Liefert das End-Datum.
`String`
`getID()`
`de.willuhn.datasource.GenericObjectNode`
`getParent()`
`de.willuhn.datasource.GenericIterator`
`getPath()`
`de.willuhn.datasource.GenericIterator`
`getPossibleParents()`
`String`
`getPrimaryAttribute()`
`Date`
`getStartdatum()`
Liefert das Start-Datum.
`String`
`getText()`
Liefert den Beschreibungstext der Zeile.
`boolean`
`hasChild(de.willuhn.datasource.GenericObjectNode arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EinnahmeAusgabeTreeNode

public EinnahmeAusgabeTreeNode(Date from, Date to, List<EinnahmeAusgabe> children)

Parameters:
  `from` - Startdatum des Zeitraums
  `to` - Enddatum des Zeitraums
  `children` - Liste der EinnameAusgabe-Daten für diesen Zeitraum

## Method Details

### getStartdatum

public Date getStartdatum()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert das Start-Datum.

Specified by:
  `getStartdatum` in interface `EinnahmeAusgabeZeitraum`
Returns:
  das Start-Datum.
See Also:
  - `EinnahmeAusgabeZeitraum.getStartdatum()`

### getEnddatum

public Date getEnddatum()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert das End-Datum.

Specified by:
  `getEnddatum` in interface `EinnahmeAusgabeZeitraum`
Returns:
  das End-Datum.
See Also:
  - `EinnahmeAusgabeZeitraum.getEnddatum()`

### equals

public boolean equals(de.willuhn.datasource.GenericObject arg0) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getText

public String getText()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert den Beschreibungstext der Zeile.

Specified by:
  `getText` in interface `EinnahmeAusgabeZeitraum`
Returns:
  der Beschreibungstext der Zeile.
See Also:
  - `EinnahmeAusgabeZeitraum.getText()`

### getAusgaben

public double getAusgaben()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert die Ausgaben.

Specified by:
  `getAusgaben` in interface `EinnahmeAusgabeZeitraum`
Returns:
  die Ausgaben.
See Also:
  - `EinnahmeAusgabeZeitraum.getAusgaben()`

### getEinnahmen

public double getEinnahmen()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert die Einnahmen.

Specified by:
  `getEinnahmen` in interface `EinnahmeAusgabeZeitraum`
Returns:
  die Einnahmen.
See Also:
  - `EinnahmeAusgabeZeitraum.getEinnahmen()`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### getChildren

public de.willuhn.datasource.GenericIterator getChildren() throws RemoteException

Specified by:
  `getChildren` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getChildren()`

### getParent

public de.willuhn.datasource.GenericObjectNode getParent() throws RemoteException

Specified by:
  `getParent` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getParent()`

### getPath

public de.willuhn.datasource.GenericIterator getPath() throws RemoteException

Specified by:
  `getPath` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPath()`

### getPossibleParents

public de.willuhn.datasource.GenericIterator getPossibleParents() throws RemoteException

Specified by:
  `getPossibleParents` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPossibleParents()`

### hasChild

public boolean hasChild(de.willuhn.datasource.GenericObjectNode arg0) throws RemoteException

Specified by:
  `hasChild` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.hasChild(de.willuhn.datasource.GenericObjectNode)`